__gnu_pbds::detail::pat_trie_base::_Leaf< _ATraits, Metadata >(3cxx)

NAME
__gnu_pbds::detail::pat_trie_base::_Leaf< _ATraits, Metadata > - Leaf node for PATRICIA tree.

SYNOPSIS

#include <pat_trie_base.hpp>

Inherits __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >.

  Public Types

typedef _Alloc::template rebind< _ATraits > __rebind_at
typedef _Alloc::template rebind< _Node_base > __rebind_n
typedef _ATraits::const_iterator a_const_iterator
typedef __rebind_at::other::const_pointer a_const_pointer
typedef _ATraits access_traits
typedef _Alloc allocator_type
typedef _Node_base< _ATraits, Metadata > base_type
typedef type_traits::const_reference const_reference
typedef __rebind_n::other::pointer node_pointer
typedef type_traits::reference reference
typedef base_type::type_traits type_traits
typedef type_traits::value_type value_type

  Public Member Functions

_Leaf (const_reference other)
reference value ()
const_reference value () const

  Public Attributes

node_pointer m_p_parent
const node_type m_type

Detailed Description

  template<typename _ATraits, typename Metadata>
struct __gnu_pbds::detail::pat_trie_base::_Leaf< _ATraits, Metadata >"Leaf node for PATRICIA tree.

Definition at line 162 of file pat_trie_base.hpp.

Member Typedef Documentation

  template<typename _ATraits , typename Metadata > typedef _Alloc::template rebind<_ATraits> __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::__rebind_at [inherited]

Definition at line 111 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > typedef _Alloc::template rebind<_Node_base> __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::__rebind_n [inherited]

Definition at line 102 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > typedef _ATraits::const_iterator __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::a_const_iterator [inherited]

Definition at line 113 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > typedef __rebind_at::other::const_pointer __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::a_const_pointer [inherited]

Definition at line 112 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > typedef _ATraits __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::access_traits [inherited]

Definition at line 100 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > typedef _Alloc __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::allocator_type [inherited]

Definition at line 99 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > typedef _Node_base<_ATraits, Metadata> __gnu_pbds::detail::pat_trie_base::_Leaf< _ATraits, Metadata >::base_type

Definition at line 165 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > typedef type_traits::const_reference __gnu_pbds::detail::pat_trie_base::_Leaf< _ATraits, Metadata >::const_reference

Definition at line 169 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > typedef __rebind_n::other::pointer __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::node_pointer [inherited]

Definition at line 103 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > typedef type_traits::reference __gnu_pbds::detail::pat_trie_base::_Leaf< _ATraits, Metadata >::reference

Definition at line 168 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > typedef base_type::type_traits __gnu_pbds::detail::pat_trie_base::_Leaf< _ATraits, Metadata >::type_traits

Definition at line 166 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > typedef type_traits::value_type __gnu_pbds::detail::pat_trie_base::_Leaf< _ATraits, Metadata >::value_type

Definition at line 167 of file pat_trie_base.hpp.

Constructor & Destructor Documentation

  template<typename _ATraits , typename Metadata > __gnu_pbds::detail::pat_trie_base::_Leaf< _ATraits, Metadata >::_Leaf (const_reference other) [inline]

Definition at line 177 of file pat_trie_base.hpp.

Member Function Documentation

  template<typename _ATraits , typename Metadata > reference __gnu_pbds::detail::pat_trie_base::_Leaf< _ATraits, Metadata >::value () [inline]

Definition at line 181 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > const_reference __gnu_pbds::detail::pat_trie_base::_Leaf< _ATraits, Metadata >::value () const [inline]

Definition at line 185 of file pat_trie_base.hpp.

Member Data Documentation

  template<typename _ATraits , typename Metadata > node_pointer __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::m_p_parent [inherited]

Definition at line 105 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > const node_type __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::m_type [inherited]

Definition at line 106 of file pat_trie_base.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.